#ifndef _mvBlueFOX3_EXCEPTIONS
#define _mvBlueFOX3_EXCEPTIONS

#include "exceptions.h"

namespace CMvbluefox3 {

/**
 * \brief mvBlueFOX3 exception
 *
 * This class is used to report general errors of the Lidar Lite devices. These
 * errors are normally caused by invalid parameters passed to the functions.
 * In this case the error message is used to identify which error has ocuurred.
 *
 */
class CmvBlueFOX3Exception : public CException
{
public:
  /**
   * \brief
   */
  CmvBlueFOX3Exception(const std::string& where, const std::string& error_msg);
};

} // End of CMvbluefox3 namespace

#endif
