#include "exceptions/mvbluefox3_exceptions.h"
#include <sstream>
#include <stdio.h>
#include <string.h>

namespace CMvbluefox3 {

const std::string mvbluefox3_error_message = "mvBlueFOX3 - ";

CmvBlueFOX3Exception::CmvBlueFOX3Exception(const std::string& where,
                                         const std::string& error_msg)
  : CException(where, mvbluefox3_error_message)
{
  std::stringstream text;

  this->error_msg += error_msg;
}

} // End of CMvbluefox3 namespace
